begin

;Go to directory of interest 

diri = "/scratch/conte/s/smit1770/RRB_Test_Simulation/RedRiver/OUTPUT_TWI.1da_180712/SURFACEMODEL/*/"


;list names of all of the files and add ful file path
fils = systemfunc("ls "+diri+"*.d01.nc") 
  
;print(fils)   ; make sure the desired files are listed in the correct order


;read in all files  
 a = addfiles(fils,"r")
ListSetType (a, "join")
  data = a[:]->SWE_inst
  data@time=a[:]->time
  ;data@lon=a[:]->lon
  ;data@lat=a[:]->lat
 

 
  printVarSummary(data)    ; examine data array. Result is [ncl_join | 31] x [north_south | 32] x [east_west | 45]

  data_aa = wgt_areaave(data,1.,1.,0)   ; Not applying any area-weight to the data
  ;print(data_aa)
  asciiwrite("LIS_VIC_SWE.txt",data_aa) ; write data for validation test.
  wks = gsn_open_wks("png","timeseries")

  resplot = True
  restick = True
  ;restick@ttmValues= (/(/2009,3,1/),(/2009,3,15/),(/2009,3,31/)/)
   
  resplot@tiMainString      = "SWE (mm)";title name


  plot = gsn_csm_xy(wks,ispan(0,dimsizes(data@time)-1,1),data_aa,resplot)
 

end