begin

;Go to directory of interest 

diri = "/scratch/brown/smit1770/TempStorage"


;fili = systemfunc("ls "+diri+"surf_volume.nc")
fili = "/scratch/brown/smit1770/TempStorage/SWE.nc"
;print(fili)   ; make sure the desired files are listed in the correct order

; read in all files

f = addfile(fili,"r")

;Set variable of interest 
data = f->SWE
;fix the mismatched _FillValue to properly recogonize the missing values after they are read in
data@_FillValue := todouble (data@missing_value)

;data@lat2d = f->Y ;-- 2D latitudes
;data@lon2d = f->X ;-- 2D longitudes
data@time= f->T ;--2D time





printVarSummary(data)



avg_data = wgt_areaave(data,1.,1.,0)
;print(avg_data)
 asciiwrite("VIC_SWE.txt",avg_data)
;print(data)
wks = gsn_open_wks("png","VIC_Data_timeseries")

;set resources
resplot = True
restick = True
restick@ttFormat = "%d"

;Place tick marks on months of March
;restick@ttmValues= (/(/2003,3,1/),(/2003,3,15/),(/2003,3,31/)/)

;restick@ttmValues= (/(/1999,3,1/),(/2003,3,15/),(/2009,3,31/)/)
   
resplot@tiMainString      = "SWE (mm)";title name

;time_axis_labels( data@time,resplot,restick)


plot = gsn_csm_xy(wks,data@time,avg_data,resplot)


end
